#pragma once
#ifndef CAMERA_H
#define CAMERA_H

#include <QtGui>
#include <QtOpenGL>
#include <QMatrix4x4>



class Camera: public QObject
{
     Q_OBJECT
private:
       QQuaternion *rotation;
        QVector3D *translation;

        QQuaternion *homeRotation;
        QVector3D *homeTranslation;


public slots:
    void home();

public:
    Camera();

    void setHome(QQuaternion *rotation, QVector3D *translation);
    void rotate(QQuaternion newPos );
    void move(QVector3D newPos );

    QMatrix4x4 getMatrix();
};

#endif // CAMERA_H
